Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create project

POST/workspaces/{organizationId}/projects
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
descriptionstring
statusstring
healthstring
Allowed:on_trackat_riskoff_trackpaused
leadIdstring
archivedAtstring
startDatestring
endDatestring
Responses
201Project created
idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
statusstringrequired
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
leadIdstring | nullrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/projects" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "description": "string",
  "status": "string",
  "health": "on_track",
  "leadId": "string",
  "archivedAt": "string",
  "startDate": "string",
  "endDate": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "status": "string",
  "health": "on_track",
  "leadId": "string",
  "archivedAt": "string",
  "startDate": "string",
  "endDate": "string",
  "createdAt": "string",
  "updatedAt": "string"
}